<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <include layout="@layout/layout_top_bar" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="12dp"
            >

            <androidx.cardview.widget.CardView
                android:id="@+id/wallet_card_view"
                android:layout_width="match_parent"
                android:layout_height="63dp"
                android:layout_marginBottom="15dp"
                card_view:cardElevation="4dp"
                android:layout_margin="4dp"
                card_view:cardBackgroundColor="@color/grey_default"
                >

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/wallet_view"
                        android:layout_width="180dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="12dp"
                        style="@style/TextNormal"
                        android:drawableStart="@drawable/wallet_balance"
                        android:drawablePadding="12dp"
                        android:gravity="center_vertical"
                        android:layout_centerVertical="true"
                        android:text="@string/wallet_title"
                        android:textAllCaps="true" />


                    <TextView
                        android:id="@+id/wallet_balance_view"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        style="@style/TextSmall"
                        android:layout_gravity="end"
                        android:gravity="end"
                        android:layout_marginEnd="15dp"
                        android:layout_centerVertical="true"
                        android:text="@string/rupee_100" />

                </RelativeLayout>

            </androidx.cardview.widget.CardView>


            <TextView
                android:id="@+id/how_to_recharge"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/wallet_card_view"
                style="@style/TextSmall"
                android:layout_marginBottom="7dp"
                android:layout_marginTop="5dp"
                android:layout_marginStart="4dp"
                android:text="@string/how_to_recharge" />

            <androidx.cardview.widget.CardView
                android:id="@+id/add_money_via_card"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:layout_below="@+id/how_to_recharge"
                android:layout_alignParentBottom="false"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_marginBottom="15dp"
                android:visibility="gone"
                card_view:cardBackgroundColor="@color/grey_default"
                card_view:cardCornerRadius="@dimen/button_corner_radius">

                <RelativeLayout
                    android:id="@+id/rlAddMoneyViaCard"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_white_selector">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="10dp"
                        style="@style/TextNormal"
                        android:text="@string/add_money_via_card"
                        />

                    <ImageView
                        android:layout_width="7dp"
                        android:layout_height="12dp"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:layout_marginEnd="20dp"
                        android:src="@drawable/arrow_thick_new"
                        android:rotationY="@integer/locale_mirror_flip"
                        android:tag="mwar" />


                </RelativeLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:id="@+id/add_money_via_wallet_card"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:layout_below="@+id/add_money_via_card"
                android:layout_alignParentBottom="false"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_marginBottom="15dp"
                card_view:cardBackgroundColor="@color/grey_default"
                card_view:cardCornerRadius="@dimen/button_corner_radius"
                android:visibility="gone">

                <RelativeLayout
                    android:id="@+id/rlAddMoneyViaWalletCard"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_white_selector">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="10dp"
                        style="@style/TextNormal"
                        android:text="@string/add_money_via_wallet_card"
                        />

                    <ImageView
                        android:layout_width="7dp"
                        android:layout_height="12dp"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:layout_marginEnd="20dp"
                        android:src="@drawable/arrow_thick_new"
                        android:rotationY="@integer/locale_mirror_flip"
                        android:tag="mwar" />


                </RelativeLayout>

            </androidx.cardview.widget.CardView>


            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/add_money_via_wallet_card"
                card_view:cardBackgroundColor="@color/grey_default"
                android:elevation="4dp"
                android:layout_margin="4dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:scrollbars="vertical"
                        android:fadeScrollbars="true"
                        />
                </LinearLayout>

            </androidx.cardview.widget.CardView>


            <!-- recent transactions rl-->

            <androidx.cardview.widget.CardView
                android:id="@+id/cardViewTransaction"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:layout_alignParentBottom="true"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_marginBottom="15dp"
                card_view:cardBackgroundColor="@color/grey_default"
                card_view:cardCornerRadius="@dimen/button_corner_radius">

                <RelativeLayout
                    android:id="@+id/relativeLayoutWalletTransactions"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/background_white_selector">

                    <ImageView
                        android:id="@+id/imageViewWalletTransactionsIcon"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="15dp"
                        android:src="@drawable/recent_transaction" />

                    <TextView
                        android:id="@+id/textViewWalletTransactions"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="10dp"
                        style="@style/TextNormal"
                        android:layout_toEndOf="@+id/imageViewWalletTransactionsIcon"
                        android:text="@string/view_wallet_transactions"
                        />

                    <ImageView
                        android:id="@+id/imageViewWalletArrow"
                        android:layout_width="7dp"
                        android:layout_height="12dp"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:layout_marginEnd="20dp"
                        android:src="@drawable/arrow_thick_new"
                        android:rotationY="@integer/locale_mirror_flip"
                        android:tag="mwar" />


                </RelativeLayout>

            </androidx.cardview.widget.CardView>

        </RelativeLayout>
    </LinearLayout>
</layout>